Puppy 4.3.1-release-candidate

Available from here:

http://distro.ibiblio.org/pub/linux/distributions/puppylinux/puppy-4.3.1-RELEASE-CANDIDATE/

Puppy 4.3.1 is a bug-fix release of 4.3. Here are the highlights of things fixed, upgraded and improved. These items are in my blog (read the archive for October http://puppylinux.com/blog/?do=archive):

New modem drivers and improved modem detection and dialup, from rerwin.
Fixes for CD Remaster script.
Asunder CD ripper replaces Ripoff (which crashed).
Cdparanoia upgraded to latest (previous crashed).
You2pup, fix for spaces in paths.
Ayttm multi-protocol chat client, upgraded to 0.6.0-9.
DidiWiki personal wiki upgraded to 0.8.
JWM window manager upgraded to revision 457.
NicoEdit, our secondary text editor, upgraded to 2.4.
Pburn upgraded to 3.1.1.
'resolv.conf' circular symlinks maybe fixed?
JWM Configure tool bug fix ('.jwmrc-tray' got corrupted).
'man' and Help page fixed when search on linux.die.net.
Frequency scaling fix for "small" iso (modules were missing).
Shutdown problem when upgrade 'pupsave' (shutdown scripts in wrong place).
Partview, a new tool to view free space in drives.
Sylpheed PET package upgraded to 2.7.1 (previous crashes).
Mouse Wizard fixed (showed USB when a PS/2 was connected).
Lots of bugfixes for the Puppy Package Manager (PPM).
Some corrections in the locale-choosing dialog.
Boot from ext4 and save 'pupsave' to ext4 partition fixed.
The famous "insert key" crash in Mozilla browsers fixed.
Fixed modules loading for kernels prior to 2.6.24.


Test like crazy! I hope to upload the final in a few days. It may even be the case that the release-candidate is fine and can simply be promoted to final.

I will upload a Service Pack for Puppy 4.3, for those who have that version installed and would just like to install the fixes without doing a full version upgrade.

I am doing a little bit more work on the Woof GUI and it will be in Woof when 4.3.1-final is released. The GUI is not complete and will have many more features, but should be basically usable. So far only tested building Puppy 4.3.1.

I created "delta" files, so if you have previously downloaded 'pup-430.iso' and 'devx_430.sfs' then there are small .delta files that can be used to upgrade -- see "Xdelta file difference manager" in "Utility" menu.
The delta file for the ISO is a bit big (38MB), due I think, to a different organisation -- I built 431 without a 'zdrv' SFS file.

Forum thread to report bugs:

http://murga-linux.com/puppy/viewtopic.php?t=47671

The 'PUP_430.SFS' problem
Many people who used Isobuster in Windows had this problem. It is solved by upgrading to the latest version of Isobuster (which is able to read Rock Ridge extensions in the ISO file).

Also, to make it easier for people who want to open up the ISO, I have uploaded the individual files to 'inside-iso' folder on ibiblio.

Intel 536/537 analog modems
I left these out of 'pup-431.iso' due to their huge size. Instead, I did a special build, pup-431-INTEL_MODEMS.iso' in folder 'special-puppies'.



Posted on 11 Oct 2009, 14:46


Comments:

Posted on 11 Oct 2009, 16:48 by charlie6
kernel 2.6.25.16 ?
Hi Barry,
thanks for this new issue !
is k2.6.25.16 left aside?
this to keep possibility to run application which need opengl-direct-rendering working (seems that opengl could not work with the new kernel...)
cheers
charlie


Posted on 11 Oct 2009, 16:48 by charlie6
kernel 2.6.25.16 ?
Hi Barry,
thanks for this new issue !
is k2.6.25.16 left aside?
this to keep possibility to run application which need opengl-direct-rendering working (seems that opengl could not work with the new kernel...)
cheers
charlie


Posted on 11 Oct 2009, 17:12 by ttuuxxx
timer
I Barry I came across a little 13kb bin gtk timer application, you can pause and resume, start over and the unique feature it keeps track of all the time intervals, which can be handy.

c/gtk sources
http://gstpw.googlecode.com/files/gstpw-0.1.tar.gz
homepage
http://code.google.com/p/gstpw/
ttuuxxx


Posted on 11 Oct 2009, 17:45 by Terryphi
Looks good so far
Barry, thanks for 431!

I did a frugal upgrade using my pupsave from 430. Apart from losing a couple of my added desktop icons (easily fixed) all works as expected. Now looking at the new apps.


Posted on 11 Oct 2009, 17:54 by wuxiandianzi
Thank you Barry!
Dear Professor!
Thank you for helping me along,I have asked many questions in your blog,You are very patient everytime

when I ask for your help,thank you sincerely!
AS you known long long ago,I have asked for compiling the kernel,but I am a new hand to do this,and I

have experienced numerous failures, but I am a person that not willing to throw in the towel,so I read
the articles Over and over again in your blog,Search in "google" and test yourself,in the end I succeed!
I have known "puppylinux"when I was in college,and I have always considered it is a powerful small

system,The most important thing is how I really admire you!
Thank you very much!
My english is poor, please forgive me.I want to tell you a piece of good news,I have compiled the kernel

2.6.30.8 for puppy 4.12 4.20 4.21 4.30,I used the "unionfs" file system, every thing seems go on well !

the kernel I can only use Gzip Format, if I use "lzma",it will mistake in the end like this:

Error
LD arch/x86/boot/compressed/piggy.o
ld: arch/x86/boot/compressed/vmlinux.bin.lzma:No such file or directory
make[2]:***[arch/x86/boot/compressed/piggy.o] Error 1
make[1]:***[arch/x86/boot/compressed/vmlinux] Error 2
make:*** [bzImage] Error 2

I don't know why, Even I download your patch kernel source, I edit nothing to the".config" file.
so I must modify the Gzip Format to the kernel,and "unionfs" file system, I have edit "init"in initrd.gz
"the layered file = unionfs" and I succeed!
now, I can rebuild myself puppylinux distro by Config the kernel,The most important is that all of this

is to learn "live linux" for me. Thank you Thank you Thank you!You are my teacher forever!
Wish you good health!


Posted on 11 Oct 2009, 18:32 by BarryK
Older kernels
The final will have builds with older kernels.



Posted on 11 Oct 2009, 21:44 by Raffy
Note about the XO
Mavrothal is trying something for the XO here: http://murga-linux.com/puppy/viewtopic.php?t=47337

Maybe you can give tips. After all, the kernel of 4.31 is ready for the XO.

Thanks!


Posted on 11 Oct 2009, 22:13 by charlie6
SqliteManager freezes upon Tools/Options....
Hi Barry,
sorry to come along again with this...
SQLiteManager freezes upon selecting Tools/Options....
thanks again!

ps: sorry if this is duplicated...do not understand why


Posted on 11 Oct 2009, 22:13 by charlie6
SqliteManager freezes upon Tools/Options....
Hi Barry,
sorry to come along again with this...
SQLiteManager freezes upon selecting Tools/Options....
thanks again!

ps: sorry if this is duplicated...do not understand why


Posted on 12 Oct 2009, 8:02 by BarryK
SQLiteManager
charlie6,
Unfortunately it is probably the version. The latest version is not available for SeaMonkey 1.1.x.

Regarding the double posts, previously this was a common problem when running Opera. So, are you using Opera or something other than SeaMonkey/Firefox?



Posted on 12 Oct 2009, 11:33 by charlie6
double posting
Hi Barry,
thanks for your reply !
I have posted using 4.3.1 candidate...thus Seamonkey 1.1.18.
cheers


Posted on 12 Oct 2009, 22:46 by shankargopal
Link broken in Package Management page
Hi Barry

Thanks for all the work yet again...

Just wanted to say that, on the Package Management page that you've linked to here, there is a link at the bottom to http://puppylinux.com/hard-puppy.htm for an explanation on what to do with SFS files in a full install. I don't need the explanation as such, but the page being linked to doesn't have any explanation in this regard as far as I can see. May need updating?


Posted on 13 Oct 2009, 5:27 by johnngu
zmixer mic not working
zmixer cd, line and mic controls are stuck at minimum.
Problem remains despite installing 4.3.1.pet


Posted on 13 Oct 2009, 6:09 by johnngu
Skype problems
Hi Barry,
I've used Skype 2.0.0.72 on Puppy Linux 4.1.2 & 4.3 and here are some problems I encountered with 4.3 (but worked OK in 4.1.2):

1. zmixer cd, line and mic controls are stuck at minimum. As a result, my mic volume is too low

2. Webcam appears as Zmicro in 4.1.2 and works but as /dev/video0 in 4.3 and doesn't work - only a scrambled greenish window

Problem remains despite installing 4.3.1.pet

ps - I really like the superfast handling of pet files in 4.3 !